postFileLinks :: MonadHTTP m=> PostFileLinksRequestBodyThe request body to send
-> ClientT m (Response PostFileLinksResponse)Monadic computation which returns the result of the operation
POST /v1/file_links<p>Creates a new file link object.</p>
:: a typeCtrl KGHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05
Modulestripeapi-3.0.0.0Haskell2010
Contains the different functions to run the operation postFileLinks
postFileLinks :: MonadHTTP m=> PostFileLinksRequestBodyThe request body to send
-> ClientT m (Response PostFileLinksResponse)Monadic computation which returns the result of the operation
POST /v1/file_links<p>Creates a new file link object.</p>
Defines the object schema located at paths./v1/file_links.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.
PostFileLinksRequestBodypostFileLinksRequestBodyExpand :: Maybe [Text]expand: Specifies which fields in the response should be expanded.
postFileLinksRequestBodyExpiresAt :: Maybe Intexpires_at: A future timestamp after which the link will no longer be usable.
postFileLinksRequestBodyFile :: Textfile: The ID of the file. The file's `purpose` must be one of the following: `business_icon`, `business_logo`, `customer_signature`, `dispute_evidence`, `finance_report_run`, `identity_document_downloadable`, `pci_document`, `selfie`, `sigma_scheduled_query`, or `tax_document_user_upload`.
Constraints:
Maximum length of 5000
postFileLinksRequestBodyMetadata :: Maybe PostFileLinksRequestBodyMetadata'Variantsmetadata: Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.
Eq PostFileLinksRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostFileLinksShow PostFileLinksRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostFileLinksFromJSON PostFileLinksRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostFileLinksToJSON PostFileLinksRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostFileLinksCreate a new PostFileLinksRequestBody with all required fields.
Defines the oneOf schema located at paths./v1/file_links.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.metadata.anyOf in the specification.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.
PostFileLinksRequestBodyMetadata'EmptyStringRepresents the JSON value ""
PostFileLinksRequestBodyMetadata'Object ObjectEq PostFileLinksRequestBodyMetadata'VariantsDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostFileLinksShow PostFileLinksRequestBodyMetadata'VariantsDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostFileLinksFromJSON PostFileLinksRequestBodyMetadata'VariantsDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostFileLinksToJSON PostFileLinksRequestBodyMetadata'VariantsDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostFileLinksRepresents a response of the operation postFileLinks.
The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostFileLinksResponseError is used.
PostFileLinksResponseError StringMeans either no matching case available or a parse error
PostFileLinksResponse200 FileLinkSuccessful response.
PostFileLinksResponseDefault ErrorError response.
Eq PostFileLinksResponseDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostFileLinksShow PostFileLinksResponseDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostFileLinks